commit b920f5c2451f7185fd059feeb6f594ed529c3528
Author: Andreas Müller <a.mueller@bgbm.org>
Date:   Tue Jan 5 19:23:39 2021 +0100

    cleanup

diff --git a/app-import/src/main/java/eu/etaxonomy/cdm/app/abcdImport/SpecimenImport.java b/app-import/src/main/java/eu/etaxonomy/cdm/app/abcdImport/SpecimenImport.java
index 02af0726..c5396e61 100644
--- a/app-import/src/main/java/eu/etaxonomy/cdm/app/abcdImport/SpecimenImport.java
+++ b/app-import/src/main/java/eu/etaxonomy/cdm/app/abcdImport/SpecimenImport.java
@@ -6,8 +6,8 @@
  * The contents of this file are subject to the Mozilla Public License Version 1.1
  * See LICENSE.TXT at the top of this package for the full license terms.
  */
-
 package eu.etaxonomy.cdm.app.abcdImport;
+
 import java.io.File;
 import java.net.URI;
 
@@ -31,17 +31,12 @@ public class SpecimenImport {
 
     final static String xmlSource = "/home/pkelbert/Documents/Proibiosphere/Presentations/Demo/ABCD/calvum.xml";
 
-
     static final ICdmDataSource cdmDestination = CdmDestinations.localH2();
 //    static final ICdmDataSource cdmDestination = CdmDestinations.makeDestination(DatabaseTypeEnum.H2, "localhost", "abcd_import_test", 8082, "root", "root");
     static final CHECK check = CHECK.IMPORT_WITHOUT_CHECK;
 
-    /**
-     * @param args
-     */
     public static void main(String[] args) {
 
-
         URI source;
         try {
             URI uri = new File(xmlSource).toURI();
@@ -50,7 +45,7 @@ public class SpecimenImport {
             System.out.println("Start import from  ABCD Specimen data("+ source.toString() + ") ...");
 
             ICdmDataSource destination = cdmDestination;
-            Abcd206ImportConfigurator specimenImportConfigurator = Abcd206ImportConfigurator.NewInstance(source,  destination);
+            Abcd206ImportConfigurator specimenImportConfigurator = Abcd206ImportConfigurator.NewInstance(source, destination);
 
 ////            specimenImportConfigurator.setClassificationName(specimenImportConfigurator.getSourceReferenceTitle());
             specimenImportConfigurator.setSourceSecId("specimen");
@@ -76,7 +71,5 @@ public class SpecimenImport {
         } catch (Exception e) {
             e.printStackTrace();
         }
-
     }
-
-}
+}
\ No newline at end of file
diff --git a/app-import/src/main/java/eu/etaxonomy/cdm/app/abcdImport/SynthesysCacheActivator.java b/app-import/src/main/java/eu/etaxonomy/cdm/app/abcdImport/SynthesysCacheActivator.java
index dd80234f..c7d50ed9 100644
--- a/app-import/src/main/java/eu/etaxonomy/cdm/app/abcdImport/SynthesysCacheActivator.java
+++ b/app-import/src/main/java/eu/etaxonomy/cdm/app/abcdImport/SynthesysCacheActivator.java
@@ -6,7 +6,6 @@
  * The contents of this file are subject to the Mozilla Public License Version 1.1
  * See LICENSE.TXT at the top of this package for the full license terms.
  */
-
 package eu.etaxonomy.cdm.app.abcdImport;
 
 import java.io.File;
@@ -22,14 +21,12 @@ import eu.etaxonomy.cdm.io.common.CdmDefaultImport;
 import eu.etaxonomy.cdm.io.common.IImportConfigurator.CHECK;
 import eu.etaxonomy.cdm.io.specimen.excel.in.SpecimenSynthesysExcelImportConfigurator;
 
-
-
-
 /**
  * @author PK
  * @since 19.09.2008
  */
 public class SynthesysCacheActivator {
+
     @SuppressWarnings("unused")
     private static Logger logger = Logger.getLogger(SynthesysCacheActivator.class);
 
@@ -38,16 +35,12 @@ public class SynthesysCacheActivator {
 //    final static String xmlSource = "/home/pkelbert/workspace/proibiosphere/cdmlib-io/target/test-classes/eu/etaxonomy/cdm/io/specimen/excel/in/ExcelImportConfiguratorTest-input.xls";
     final static String xmlSource = "/home/pkelbert/Documents/Proibiosphere/ChenopodiumQuentin/GBIF data etc.xls";
 
-
 //  static final ICdmDataSource cdmDestination = CdmDestinations.mon_cdm();
 //    static DbSchemaValidation hbm2dll = DbSchemaValidation.CREATE;
     static final ICdmDataSource cdmDestination = CdmDestinations.cdm_local_proibiosphere_chenopodium();
     static DbSchemaValidation hbm2dll = DbSchemaValidation.VALIDATE;
     static final CHECK check = CHECK.IMPORT_WITHOUT_CHECK;
 
-    /**
-     * @param args
-     */
     public static void main(String[] args) {
         URI source;
         try {
@@ -82,4 +75,4 @@ public class SynthesysCacheActivator {
             e.printStackTrace();
         }
     }
-}
+}
\ No newline at end of file
diff --git a/app-import/src/main/java/eu/etaxonomy/cdm/app/caryophyllales/TcsSources.java b/app-import/src/main/java/eu/etaxonomy/cdm/app/caryophyllales/TcsSources.java
index 0844715f..7f280fd2 100644
--- a/app-import/src/main/java/eu/etaxonomy/cdm/app/caryophyllales/TcsSources.java
+++ b/app-import/src/main/java/eu/etaxonomy/cdm/app/caryophyllales/TcsSources.java
@@ -6,7 +6,6 @@
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * See LICENSE.TXT at the top of this package for the full license terms.
 */
-
 package eu.etaxonomy.cdm.app.caryophyllales;
 
 import java.io.File;
@@ -24,8 +23,8 @@ import eu.etaxonomy.cdm.app.sdd.SDDSources;
  * @since May 2014
  */
 public class TcsSources {
-	private static final Logger logger = Logger.getLogger(TcsSources.class);
 
+	private static final Logger logger = Logger.getLogger(TcsSources.class);
 
 	public static URI normalExplicit(){
 		try {
@@ -50,7 +49,6 @@ public class TcsSources {
 			e.printStackTrace();
 			throw new RuntimeException(e);
 		}
-
 	}
 
 	public static String arecaceae(){
@@ -99,11 +97,8 @@ public class TcsSources {
 		} catch (MalformedURLException e) {
 			throw new RuntimeException(e);
 		}
-
 	}
 
-
-
 	public static String tcsXml_localPath(){
 		File file = new File("C:\\localCopy\\Data\\tdwg\\Cichorium_tcs.xml");
 		String sourceUrl;
@@ -114,7 +109,6 @@ public class TcsSources {
 			throw new RuntimeException(e);
 		}
 		return sourceUrl;
-
 	}
 
 	public static String tcsXmlTest_local2(){
@@ -131,9 +125,5 @@ public class TcsSources {
 		URL resourceUrl = new TcsSources().getClass().getResource(sourceUrl);
 		logger.debug("TcsRdfSource " +  resourceUrl.toString());
 		return resourceUrl.toString();
-
 	}
-
-
-
-}
+}
\ No newline at end of file
diff --git a/app-import/src/main/java/eu/etaxonomy/cdm/app/jaxb/JaxbExportActivator.java b/app-import/src/main/java/eu/etaxonomy/cdm/app/jaxb/JaxbExportActivator.java
index 0e455b0b..71e98f36 100644
--- a/app-import/src/main/java/eu/etaxonomy/cdm/app/jaxb/JaxbExportActivator.java
+++ b/app-import/src/main/java/eu/etaxonomy/cdm/app/jaxb/JaxbExportActivator.java
@@ -6,7 +6,6 @@
  * The contents of this file are subject to the Mozilla Public License Version 1.1
  * See LICENSE.TXT at the top of this package for the full license terms.
  */
-
 package eu.etaxonomy.cdm.app.jaxb;
 
 import java.io.File;
@@ -54,8 +53,6 @@ public class JaxbExportActivator {
 //		String username = "edit";
 //		sourceParam = CdmDataSource.NewMySqlInstance(server, database, username, AccountStore.readOrStorePassword(server, database, username, null));
 
-
-
 		JaxbExportConfigurator jaxbExportConfigurator;
 		if (file !=null && sourceParam != null){
 			jaxbExportConfigurator = JaxbExportConfigurator.NewInstance(sourceParam, file);
@@ -67,11 +64,9 @@ public class JaxbExportActivator {
 			jaxbExportConfigurator = JaxbExportConfigurator.NewInstance(cdmSource, new File(exportFileName));
 		}
 
-
 		CdmDefaultExport<JaxbExportConfigurator> jaxbExport =
 			new CdmDefaultExport<JaxbExportConfigurator>();
 
-
 		// invoke export
 		logger.debug("Invoking Jaxb export");
 		jaxbExport.invoke(jaxbExportConfigurator);
@@ -89,27 +84,17 @@ public class JaxbExportActivator {
 		return null;
 	}
 
-
-
-
 	private CdmApplicationController initDb(ICdmDataSource db) {
-
 		// Init source DB
 		CdmApplicationController appCtrInit = TestDatabase.initDb(db, DbSchemaValidation.VALIDATE, false);
-
 		return appCtrInit;
 	}
 
-
 	// Load test data to DB
 	private void loadTestData(CdmApplicationController appCtrInit) {
 		TestDatabase.loadTestData("", appCtrInit);
 	}
 
-
-	/**
-	 * @param args
-	 */
 	public static void main(String[] args) {
 
 		JaxbExportActivator sc = new JaxbExportActivator();
@@ -132,7 +117,5 @@ public class JaxbExportActivator {
 			// TODO Auto-generated catch block
 			e.printStackTrace();
 		}
-
 	}
-
-}
+}
\ No newline at end of file
diff --git a/app-import/src/main/java/eu/etaxonomy/cdm/app/jaxb/JaxbImportActivator.java b/app-import/src/main/java/eu/etaxonomy/cdm/app/jaxb/JaxbImportActivator.java
index 80e1932c..e2375613 100644
--- a/app-import/src/main/java/eu/etaxonomy/cdm/app/jaxb/JaxbImportActivator.java
+++ b/app-import/src/main/java/eu/etaxonomy/cdm/app/jaxb/JaxbImportActivator.java
@@ -1,12 +1,11 @@
 /**
  * Copyright (C) 2008 EDIT
- * European Distributed Institute of Taxonomy 
+ * European Distributed Institute of Taxonomy
  * http://www.e-taxonomy.eu
- * 
+ *
  * The contents of this file are subject to the Mozilla Public License Version 1.1
  * See LICENSE.TXT at the top of this package for the full license terms.
  */
-
 package eu.etaxonomy.cdm.app.jaxb;
 
 import java.io.File;
@@ -26,8 +25,8 @@ import eu.etaxonomy.cdm.io.jaxb.JaxbImportConfigurator;
 /**
  * @author a.babadshanjan
  * @since 25.09.2008
- * 
- * NOTE: the result may go into 
+ *
+ * NOTE: the result may go into
  * cdmlib-persistence\target\test-classes\eu\etaxonomy\cdm\h2\LocalH2
  */
 public class JaxbImportActivator {
@@ -36,10 +35,9 @@ public class JaxbImportActivator {
 //	private static final ICdmDataSource cdmDestination = CdmDestinations.cdm_test_local_mysql_test();
 	//if you run from IDE it may run into {cdmlib-folder}\cdmlib-persistence\target\test-classes\eu\etaxonomy\cdm\h2\LocalH2\
 	private static final ICdmDataSource cdmDestination = CdmDestinations.localH2Armeria();
-	
-	
+
 	// Import:
-	private static String importFileNameString = 
+	private static String importFileNameString =
 		//"C:\\workspace\\cdmlib_2.2\\cdmlib-io\\src\\test\\resources\\eu\\etaxonomy\\cdm\\io\\jaxb\\export_test_app_import.xml";
 //		"file:/C:/export_test_app_import.xml";
 //	"file:/C:/opt/data/rl/201406041541-jaxb_export-Regenwuermer.xml";
@@ -48,14 +46,10 @@ public class JaxbImportActivator {
 //	"//PESIIMPORT3/redlist/standardliste/standardliste_jaxb.xml";
 	"//PESIIMPORT3/redlist/201411261506-jaxb_export-armeria_demo_local.xml";
 
-	
-	
-
-	
 
 	/** NUMBER_ROWS_TO_RETRIEVE = 0 is the default case to retrieve all rows.
-	 * For testing purposes: If NUMBER_ROWS_TO_RETRIEVE >0 then retrieve 
-	 *  as many rows as specified for agents, references, etc. 
+	 * For testing purposes: If NUMBER_ROWS_TO_RETRIEVE >0 then retrieve
+	 *  as many rows as specified for agents, references, etc.
 	 *  Only root taxa and no synonyms and relationships are retrieved. */
 	private static final int NUMBER_ROWS_TO_RETRIEVE = 0;
 
@@ -67,7 +61,7 @@ public class JaxbImportActivator {
 			if (importFileParamString !=null && destination != null){
 				URI importFileParam = new URI(importFileParamString);
 				jaxbImportConfigurator = JaxbImportConfigurator.NewInstance(importFileParam, destination);
-			}else if (destination != null){			
+			}else if (destination != null){
 				URI importFileName = new URI(importFileNameString);
 				jaxbImportConfigurator = JaxbImportConfigurator.NewInstance(importFileName, destination);
 			} else if (importFileParamString !=null ){
@@ -77,14 +71,14 @@ public class JaxbImportActivator {
 				URI importFileName = new URI(importFileNameString);
 				jaxbImportConfigurator = JaxbImportConfigurator.NewInstance(importFileName, cdmDestination);
 			}
-			
-			CdmDefaultImport<JaxbImportConfigurator> jaxbImport = 
+
+			CdmDefaultImport<JaxbImportConfigurator> jaxbImport =
 				new CdmDefaultImport<JaxbImportConfigurator>();
-	
-	
+
+
 			// invoke import
 			logger.debug("Invoking Jaxb import");
-	
+
 			jaxbImport.invoke(jaxbImportConfigurator, destination, true);
 		} catch (URISyntaxException e) {
 			e.printStackTrace();
@@ -98,39 +92,33 @@ public class JaxbImportActivator {
 		}else {
 			jaxbImportConfigurator = JaxbImportConfigurator.NewInstance(importUri, cdmDestination);
 		}
-		
-		CdmDefaultImport<JaxbImportConfigurator> jaxbImport = 
-			new CdmDefaultImport<JaxbImportConfigurator>();
 
+		CdmDefaultImport<JaxbImportConfigurator> jaxbImport =
+			new CdmDefaultImport<JaxbImportConfigurator>();
 
 		// invoke import
 		logger.debug("Invoking Jaxb import");
 
 		jaxbImport.invoke(jaxbImportConfigurator, destination, true);
-
 	}
 
-	
 	private CdmApplicationController initDb(ICdmDataSource db) {
-
 		// Init source DB
 		CdmApplicationController appCtrInit = null;
-
 		appCtrInit = TestDatabase.initDb(db, DbSchemaValidation.CREATE, false);
-
 		return appCtrInit;
 	}
 
-	
 	// Load test data to DB
 	private void loadTestData(CdmApplicationController appCtrInit) {
 
 		TestDatabase.loadTestData("", appCtrInit);
 	}
-	
+
 	public static String chooseFile(String[] args) {
-		if(args == null)
-			return null;
+		if(args == null) {
+            return null;
+        }
 		for (String dest: args){
 			if (dest.endsWith(".xml")){
 				return args[0];
@@ -139,9 +127,6 @@ public class JaxbImportActivator {
 		return null;
 	}
 
-	/**
-	 * @param args
-	 */
 	public static void main(String[] args) {
 
 		JaxbImportActivator jia = new JaxbImportActivator();
@@ -157,5 +142,4 @@ public class JaxbImportActivator {
 		}
 		jia.invokeImport(uri, destination);
 	}
-
-}
+}
\ No newline at end of file
diff --git a/app-import/src/main/java/eu/etaxonomy/cdm/app/phycobank/IAPTActivator.java b/app-import/src/main/java/eu/etaxonomy/cdm/app/phycobank/IAPTActivator.java
index f701b3f6..a9325988 100644
--- a/app-import/src/main/java/eu/etaxonomy/cdm/app/phycobank/IAPTActivator.java
+++ b/app-import/src/main/java/eu/etaxonomy/cdm/app/phycobank/IAPTActivator.java
@@ -6,7 +6,6 @@
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * See LICENSE.TXT at the top of this package for the full license terms.
 */
-
 package eu.etaxonomy.cdm.app.phycobank;
 
 import java.io.File;
@@ -28,11 +27,9 @@ import eu.etaxonomy.cdm.model.common.VerbatimTimePeriod;
 import eu.etaxonomy.cdm.model.reference.Reference;
 import eu.etaxonomy.cdm.model.reference.ReferenceFactory;
 
-
 /**
  * @author a.kohlbecker
  * @since Jul 26, 2016
- *
  */
 public class IAPTActivator {
     private static final Logger logger = Logger.getLogger(IAPTActivator.class);
@@ -112,14 +109,8 @@ public class IAPTActivator {
         doSingleSource(fileURI(), config, myImport);
 
         System.exit(0);
-
     }
 
-    /**
-     * @param source
-     * @param config
-     * @param myImport
-     */
     private void doSingleSource(URI source, IAPTImportConfigurator config, CdmDefaultImport<IAPTImportConfigurator> myImport) {
         config.setSource(source);
         String fileName = source.toString();
@@ -150,9 +141,6 @@ public class IAPTActivator {
         return f.toURI();
     }
 
-    /**
-     * @param args
-     */
     public static void main(String[] args) {
         if(args.length == 0){
             logger.warn("Missing argument, valid values are: 'import' , 'createRegistrations'");
@@ -160,5 +148,4 @@ public class IAPTActivator {
         IAPTActivator me = new IAPTActivator();
         me.doImport(cdmDestination);
     }
-
-}
+}
\ No newline at end of file
diff --git a/app-import/src/main/java/eu/etaxonomy/cdm/app/proibiosphere/SpecimenImportActivator.java b/app-import/src/main/java/eu/etaxonomy/cdm/app/proibiosphere/SpecimenImportActivator.java
index b04234f8..bbbb9bc6 100644
--- a/app-import/src/main/java/eu/etaxonomy/cdm/app/proibiosphere/SpecimenImportActivator.java
+++ b/app-import/src/main/java/eu/etaxonomy/cdm/app/proibiosphere/SpecimenImportActivator.java
@@ -6,7 +6,6 @@
  * The contents of this file are subject to the Mozilla Public License Version 1.1
  * See LICENSE.TXT at the top of this package for the full license terms.
  */
-
 package eu.etaxonomy.cdm.app.proibiosphere;
 import java.io.File;
 import java.net.URI;
@@ -35,15 +34,10 @@ public class SpecimenImportActivator {
 
     //	final static String xmlSource = "C:\\localCopy\\eclipse\\cdmlib\\app-import\\src\\main\\resources\\specimenABCD\\CDMtabular9c04a474e2_23_09_08.xls";
 
-
-
     static final ICdmDataSource cdmDestination = CdmDestinations.cdm_local_proibiosphere_chenopodium();
     //check - import
     static final CHECK check = CHECK.IMPORT_WITHOUT_CHECK;
 
-    /**
-     * @param args
-     */
     public static void main(String[] args) {
         URI source;
         try {
@@ -87,7 +81,5 @@ public class SpecimenImportActivator {
         } catch (URISyntaxException e) {
             e.printStackTrace();
         }
-
     }
-
-}
+}
\ No newline at end of file
diff --git a/app-import/src/main/java/eu/etaxonomy/cdm/app/proibiosphere/TaxonXImportLauncher.java b/app-import/src/main/java/eu/etaxonomy/cdm/app/proibiosphere/TaxonXImportLauncher.java
index 827c501b..e4e4e3a6 100644
--- a/app-import/src/main/java/eu/etaxonomy/cdm/app/proibiosphere/TaxonXImportLauncher.java
+++ b/app-import/src/main/java/eu/etaxonomy/cdm/app/proibiosphere/TaxonXImportLauncher.java
@@ -264,9 +264,7 @@ public class TaxonXImportLauncher {
                 }
                 documentMap.put(docId, uritmp);
             }
-
         return documentMap;
-
     }
 
 	private static void checkTreatmentAvailable(Map<String, List<String>> documents, Map<String, List<String>> docs)
diff --git a/app-import/src/main/java/eu/etaxonomy/cdm/app/sdd/SDDImportActivator.java b/app-import/src/main/java/eu/etaxonomy/cdm/app/sdd/SDDImportActivator.java
index a8bd1924..90666907 100644
--- a/app-import/src/main/java/eu/etaxonomy/cdm/app/sdd/SDDImportActivator.java
+++ b/app-import/src/main/java/eu/etaxonomy/cdm/app/sdd/SDDImportActivator.java
@@ -6,7 +6,6 @@
  * The contents of this file are subject to the Mozilla Public License Version 1.1
  * See LICENSE.TXT at the top of this package for the full license terms.
  */
-
 package eu.etaxonomy.cdm.app.sdd;
 
 import java.net.URI;
@@ -31,7 +30,6 @@ import eu.etaxonomy.cdm.io.sdd.in.SDDImportConfigurator;
  * @author h.fradin
  * @author l.morris
  * @since 24.10.2008
- * @version 1.0
  */
 public class SDDImportActivator {
 	@SuppressWarnings("unused")
@@ -86,9 +84,7 @@ public class SDDImportActivator {
        //return loadedDataSource;
        return dataSource;
    }
-	/**
-	 * @param args
-	 */
+
 	public static void main(String[] args) {
 		//String sddSource = SDDSources.SDDImport_local(args[0]+args[1]);
 		//System.out.println("Start import from SDD("+ sddSource.toString() + ") ...");
@@ -126,8 +122,5 @@ public class SDDImportActivator {
 		} catch (URISyntaxException e) {
 			e.printStackTrace();
 		}
-
 	}
-
-
-}
+}
\ No newline at end of file
diff --git a/app-import/src/main/java/eu/etaxonomy/cdm/app/sdd/SDDSources.java b/app-import/src/main/java/eu/etaxonomy/cdm/app/sdd/SDDSources.java
index a22f5ce4..bc8aa0f7 100644
--- a/app-import/src/main/java/eu/etaxonomy/cdm/app/sdd/SDDSources.java
+++ b/app-import/src/main/java/eu/etaxonomy/cdm/app/sdd/SDDSources.java
@@ -1,8 +1,8 @@
 /**
 * Copyright (C) 2007 EDIT
-* European Distributed Institute of Taxonomy 
+* European Distributed Institute of Taxonomy
 * http://www.e-taxonomy.eu
-* 
+*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * See LICENSE.TXT at the top of this package for the full license terms.
 */
@@ -23,7 +23,7 @@ import org.apache.log4j.Logger;
 public class SDDSources {
 	@SuppressWarnings("unused")
 	private static final Logger logger = Logger.getLogger(SDDSources.class);
-	
+
 
 	public static URI tdwg_expert(){
 
@@ -35,86 +35,86 @@ public class SDDSources {
 //			// TODO Auto-generated catch block
 //			e.printStackTrace();
 //		}
-//		
+//
 //		URL url = new SDDSources().getClass().getResource("/sdd/SDD-Test-Simple.xml");
 		String sourceUrl = "C:\\localCopy\\tdwg2010\\data\\descriptions\\sdd\\Xper-Cichorium_spinosum.sdd.xml";
 //		String sourceUrl = url.toString();
 		URI uri = new File(sourceUrl).toURI();
 		return uri;
-		
+
 	}
 
-	
+
 	public static String viola_local(){
 		//		SDD XML example from the SDD v1.1 package
 		URL url = new SDDSources().getClass().getResource("/sdd/SDD-Test-Simple.xml");
 		String sourceUrl = url.toString();
 		return sourceUrl;
-		
+
 	}
-	
+
 	public static String SDDImport_local(String filePath){
 		//		any SDD XML file
 		String sourceUrl = "file:" + filePath;
 		return sourceUrl;
-		
+
 	}
-	
+
 	public static String LIAS_local(){
 		//		SDD XML example from http://wiki.tdwg.org/twiki/bin/view/SDD/RealWorldExamples_SDD1dot1
 		//String sourceUrl = "file:C:/Documents and Settings/lis/Mes documents/SDD/SDD bis/SDD1.1/SDD1.1/examples/LIAS_Main.sdd11/LIAS_Main.sdd11.xml";
 		URL url = new SDDSources().getClass().getResource("/sdd/LIAS_Main.sdd11.xml");
 		String sourceUrl = url.toString();
 		return sourceUrl;
-		
+
 	}
-	
+
 	public static String Erythroneura_local(){
 		//		SDD XML example from http://wiki.tdwg.org/twiki/bin/view/SDD/RealWorldExamples_SDD1dot1
 		//String sourceUrl = "file:C:/Documents and Settings/lis/Mes documents/SDD/SDD bis/SDD1.1/SDD1.1/examples/Erythroneura.sdd11/Erythroneura.sdd11.xml";
 		URL url = new SDDSources().getClass().getResource("/sdd/Erythroneura.sdd11.xml");
 		String sourceUrl = url.toString();
 		return sourceUrl;
-		
+
 	}
-	
+
 	public static String Cicad_local(){
 		//		SDD XML example from http://wiki.tdwg.org/twiki/bin/view/SDD/RealWorldExamples_SDD1dot1
 		//String sourceUrl = "file:C:/Documents and Settings/lis/Mes documents/SDD/SDD bis/SDD1.1/SDD1.1/examples/Cicad.sdd11/Cicad.sdd11.xml";
 		URL url = new SDDSources().getClass().getResource("/sdd/Cicad.sdd11.xml");
 		String sourceUrl = url.toString();
 		return sourceUrl;
-		
+
 	}
-	
+
 	public static String ValRosandraFRIDAKey_local(){
 		//		SDD XML example from http://wiki.tdwg.org/twiki/bin/view/SDD/RealWorldExamples_SDD1dot1
 		//String sourceUrl = "file:C:/Documents and Settings/lis/Mes documents/SDD/SDD bis/SDD1.1/SDD1.1/examples/Val-Rosandra-FRIDA-Key.sdd11/Val-Rosandra-FRIDA-Key.sdd11.xml";
 		URL url = new SDDSources().getClass().getResource("/sdd/Val-Rosandra-FRIDA-Key.sdd11.xml");
 		String sourceUrl = url.toString();
 		return sourceUrl;
-		
+
 	}
-	
+
 	public static String FreshwaterAquaticInsects_local(){
 		//		SDD export from an Xper2 application
 		String sourceUrl = "file:C:/Documents and Settings/lis/Mes documents/SDD/SDD bis/SDD1.1/SDD1.1/examples/Freshwater aquatic insects/test v2.sdd.xml";
 		return sourceUrl;
 	}
-	
+
 	public static String cichorieae_Xper2_local(){
 		URL url = new SDDSources().getClass().getResource("/sdd/cichorieae-Xper2.xml");
 		String sourceUrl = url.toString();
-		return sourceUrl;	
+		return sourceUrl;
 	}
-	
+
 	public static String Cichorieae_DA_export_sdd(){
 		String locationString = "/sdd/Xper2-import-export.sdd.xml";
 		//String locationString = "/sdd/Cichorieae-DA-export-sdd.xml";
-		
+
 		URL url = new SDDSources().getClass().getResource(locationString);
 		String sourceUrl = url.toString();
-		return sourceUrl;	
+		return sourceUrl;
 	}
-	
+
 }
diff --git a/app-import/src/main/java/eu/etaxonomy/cdm/app/tcs/TcsSources.java b/app-import/src/main/java/eu/etaxonomy/cdm/app/tcs/TcsSources.java
index 162e7332..764c01a0 100644
--- a/app-import/src/main/java/eu/etaxonomy/cdm/app/tcs/TcsSources.java
+++ b/app-import/src/main/java/eu/etaxonomy/cdm/app/tcs/TcsSources.java
@@ -1,12 +1,11 @@
 /**
 * Copyright (C) 2007 EDIT
-* European Distributed Institute of Taxonomy 
+* European Distributed Institute of Taxonomy
 * http://www.e-taxonomy.eu
-* 
+*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * See LICENSE.TXT at the top of this package for the full license terms.
 */
-
 package eu.etaxonomy.cdm.app.tcs;
 
 import java.io.File;
@@ -22,20 +21,19 @@ import eu.etaxonomy.cdm.app.sdd.SDDSources;
 /**
  * @author a.mueller
  * @since 20.06.2008
- * @version 1.0
  */
 public class TcsSources {
-	private static final Logger logger = Logger.getLogger(TcsSources.class);
-	
-	
+
+    private static final Logger logger = Logger.getLogger(TcsSources.class);
+
 	public static URI normalExplicit(){
 		try {
 //			URL url = new File(("C:\\localCopy\\eclipse\\cdmlib\\trunk\\app-import\\src\\main\\resources\\excel\\NormalExplicit.xls")).toURL();
-			
+
 			// FIXME what is this????
 			URL url = new File("D:\\NormalExplicit.xls").toURI().toURL();
 
-			
+
 //			URL url = new TcsSources().getClass().getResource("excel/NormalExplicit.xls");
 			boolean exists = new File(url.getFile()).exists();
 			if (! exists) throw new RuntimeException("File not found: " + url);
@@ -49,17 +47,15 @@ public class TcsSources {
 			e.printStackTrace();
 			throw new RuntimeException(e);
 		}
-
 	}
-	
+
 	public static String arecaceae(){
 		//	Monocots rdf
 		String sourceUrl = "http://dev.e-taxonomy.eu/trac/attachment/wiki/SampleDataConversion/Monocotyledonae/arecaceae.rdf?format=raw";
 		logger.debug("TcsSource " +  sourceUrl);
 		return sourceUrl;
-		
 	}
-	
+
 	public static String taxonX_local(){
 		//		Monocots rdf
 		//String sourceUrl = "file:C:/localCopy/eclipse/cdmlib/app-import/src/main/resources/palm_tn_29336.xml";
@@ -73,22 +69,20 @@ public class TcsSources {
 		File sourceDir = new File("target/classes/taxonX/"); //palm_tc_14495.xml
 		return sourceDir;
 	}
-	
+
 	public static String arecaceae_local(){
 		//		Monocots rdf
 		//String sourceUrl = "file:C:/localCopy/eclipse/cdmlib/app-import/src/main/resources/arecaceae.rdf";
 		URL url = new SDDSources().getClass().getResource("/arecaceae.rdf");
 		String sourceUrl = url.toString();
 		return sourceUrl;
-		
 	}
 
-
 	public static String tcsXml_cichorium(){
 		//		tcsXmlTest.xml
 		URL url = new TcsSources().getClass().getResource("/tcs/Cichorium_tcs.xml");
 		String sourceUrl = url.toString();
-		return sourceUrl;	
+		return sourceUrl;
 	}
 
 	public static String tcsXml_nyctaginaceae(){
@@ -98,11 +92,8 @@ public class TcsSources {
 		} catch (MalformedURLException e) {
 			throw new RuntimeException(e);
 		}
-		
 	}
 
-	
-	
 	public static String tcsXml_localPath(){
 		File file = new File("C:\\localCopy\\Data\\tdwg\\Cichorium_tcs.xml");
 		String sourceUrl;
@@ -113,16 +104,15 @@ public class TcsSources {
 			throw new RuntimeException(e);
 		}
 		return sourceUrl;
-		
-	}	
-	
+	}
+
 	public static String tcsXmlTest_local2(){
 		//		tcsXmlTest.xml
 		URL url = new TcsSources().getClass().getResource("/TcsXmlImportConfiguratorTest-input.xml");
 		String sourceUrl = url.toString();
-		return sourceUrl;	
+		return sourceUrl;
 	}
-	
+
 	public static String tcsRdf_globis(){
 		//		globis.rdf.xml
 		//String sourceUrl = "file:C:/Dokumente und Einstellungen/a.kohlbecker.BGBM/Desktop/globis.rdf.xml";
@@ -130,9 +120,8 @@ public class TcsSources {
 		URL resourceUrl = new TcsSources().getClass().getResource(sourceUrl);
 		logger.debug("TcsRdfSource " +  resourceUrl.toString());
 		return resourceUrl.toString();
-		
-	}	
-	
+	}
+
 	public static String tcsRdf_test(){
 		//		globis.rdf.xml
 		//String sourceUrl = "file:C:/Dokumente und Einstellungen/a.kohlbecker.BGBM/Desktop/globis.rdf.xml";
@@ -140,8 +129,5 @@ public class TcsSources {
 		URL resourceUrl = new TcsSources().getClass().getResource(sourceUrl);
 		logger.debug("TcsRdfSource " +  resourceUrl.toString());
 		return resourceUrl.toString();
-		
-	}	
-
-	
-}
+	}
+}
\ No newline at end of file
diff --git a/app-import/src/main/java/eu/etaxonomy/cdm/app/uzbekistan/UzbekistanDescriptionsActivator.java b/app-import/src/main/java/eu/etaxonomy/cdm/app/uzbekistan/UzbekistanDescriptionsActivator.java
index e5e768b9..5c33152a 100644
--- a/app-import/src/main/java/eu/etaxonomy/cdm/app/uzbekistan/UzbekistanDescriptionsActivator.java
+++ b/app-import/src/main/java/eu/etaxonomy/cdm/app/uzbekistan/UzbekistanDescriptionsActivator.java
@@ -77,7 +77,6 @@ public class UzbekistanDescriptionsActivator {
         System.out.println(result.createReport());
     }
 
-
     private URI fileName(){
         return URI.create("file:////BGBM-PESIHPC/Uzbekistan/" + fileName);
     }
diff --git a/app-import/src/main/java/eu/etaxonomy/cdm/app/uzbekistan/UzbekistanHabitatActivator.java b/app-import/src/main/java/eu/etaxonomy/cdm/app/uzbekistan/UzbekistanHabitatActivator.java
index 34256b51..5455c2a9 100644
--- a/app-import/src/main/java/eu/etaxonomy/cdm/app/uzbekistan/UzbekistanHabitatActivator.java
+++ b/app-import/src/main/java/eu/etaxonomy/cdm/app/uzbekistan/UzbekistanHabitatActivator.java
@@ -27,7 +27,6 @@ import eu.etaxonomy.cdm.model.reference.Reference;
 import eu.etaxonomy.cdm.model.reference.ReferenceFactory;
 
 /**
- *
  * Import for Flora of Uzbekistan habitats.
  *
  * https://dev.e-taxonomy.eu/redmine/issues/9049
@@ -78,7 +77,6 @@ public class UzbekistanHabitatActivator {
         System.out.println(result.createReport());
     }
 
-
     private URI fileName(){
         return URI.create("file:////BGBM-PESIHPC/Uzbekistan/" + fileName);
     }
diff --git a/app-import/src/main/java/eu/etaxonomy/cdm/app/uzbekistan/UzbekistanPhenologyActivator.java b/app-import/src/main/java/eu/etaxonomy/cdm/app/uzbekistan/UzbekistanPhenologyActivator.java
index faf3132e..dfcef238 100644
--- a/app-import/src/main/java/eu/etaxonomy/cdm/app/uzbekistan/UzbekistanPhenologyActivator.java
+++ b/app-import/src/main/java/eu/etaxonomy/cdm/app/uzbekistan/UzbekistanPhenologyActivator.java
@@ -26,7 +26,6 @@ import eu.etaxonomy.cdm.model.reference.Reference;
 import eu.etaxonomy.cdm.model.reference.ReferenceFactory;
 
 /**
- *
  * Import for Flora of Uzbekistan phenology.
  *
  * https://dev.e-taxonomy.eu/redmine/issues/9126
@@ -75,7 +74,6 @@ public class UzbekistanPhenologyActivator {
         System.out.println(result.createReport());
     }
 
-
     private URI fileName(){
         return URI.create("file:////BGBM-PESIHPC/Uzbekistan/" + fileName);
     }
@@ -97,4 +95,4 @@ public class UzbekistanPhenologyActivator {
         me.doImport(cdmDestination);
         System.exit(0);
     }
-}
+}
\ No newline at end of file
diff --git a/app-import/src/main/java/eu/etaxonomy/cdm/app/uzbekistan/UzbekistanTaxonActivator.java b/app-import/src/main/java/eu/etaxonomy/cdm/app/uzbekistan/UzbekistanTaxonActivator.java
index 479480f3..a1d40bb6 100644
--- a/app-import/src/main/java/eu/etaxonomy/cdm/app/uzbekistan/UzbekistanTaxonActivator.java
+++ b/app-import/src/main/java/eu/etaxonomy/cdm/app/uzbekistan/UzbekistanTaxonActivator.java
@@ -28,7 +28,6 @@ import eu.etaxonomy.cdm.model.reference.ReferenceFactory;
 import eu.etaxonomy.cdm.strategy.parser.TimePeriodParser;
 
 /**
- *
  * Import for Flora of Uzbekistan taxa.
  *
  * https://dev.e-taxonomy.eu/redmine/issues/8996
@@ -81,7 +80,6 @@ public class UzbekistanTaxonActivator {
         System.out.println(result.createReport());
     }
 
-
     private URI uzbekistanChecklist(){
         return URI.create("file:////BGBM-PESIHPC/Uzbekistan/" + fileName);
     }
@@ -135,4 +133,4 @@ public class UzbekistanTaxonActivator {
         me.doImport(cdmDestination);
         System.exit(0);
     }
-}
+}
\ No newline at end of file
diff --git a/app-import/src/main/java/eu/etaxonomy/cdm/app/wp6/cichorieae/CichorieaeCommonNameActivator.java b/app-import/src/main/java/eu/etaxonomy/cdm/app/wp6/cichorieae/CichorieaeCommonNameActivator.java
index 8bd06918..eb88dbf9 100644
--- a/app-import/src/main/java/eu/etaxonomy/cdm/app/wp6/cichorieae/CichorieaeCommonNameActivator.java
+++ b/app-import/src/main/java/eu/etaxonomy/cdm/app/wp6/cichorieae/CichorieaeCommonNameActivator.java
@@ -6,7 +6,6 @@
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * See LICENSE.TXT at the top of this package for the full license terms.
 */
-
 package eu.etaxonomy.cdm.app.wp6.cichorieae;
 
 import java.io.File;
@@ -21,15 +20,12 @@ import eu.etaxonomy.cdm.io.common.CdmDefaultImport;
 import eu.etaxonomy.cdm.io.common.ImportResult;
 import eu.etaxonomy.cdm.io.wp6.CommonNameImportConfigurator;
 
-
 /**
  * TODO add the following to a wiki page:
  * HINT: If you are about to import into a mysql data base running under windows and if you wish to dump and restore the resulting data bas under another operation systen
  * you must set the mysql system variable lower_case_table_names = 0 in order to create data base with table compatible names.
  *
- *
  * @author a.mueller
- *
  */
 public class CichorieaeCommonNameActivator {
 	private static final Logger logger = Logger.getLogger(CichorieaeCommonNameActivator.class);
@@ -64,16 +60,11 @@ public class CichorieaeCommonNameActivator {
 		return success;
 	}
 
-	/**
-	 * @param args
-	 */
 	public static void main(String[] args) {
 		ICdmDataSource destination = CdmDestinations.chooseDestination(args) != null ? CdmDestinations.chooseDestination(args) : cdmDestination;
 
 		System.out.println("Start updating caches for "+ destination.getDatabase() + "...");
 		CichorieaeCommonNameActivator me = new CichorieaeCommonNameActivator();
 		me.doInvoke(destination);
-
 	}
-
-}
+}
\ No newline at end of file
diff --git a/app-import/src/main/java/eu/etaxonomy/cdm/app/wp6/palmae/UseSummaryActivator.java b/app-import/src/main/java/eu/etaxonomy/cdm/app/wp6/palmae/UseSummaryActivator.java
index 877e36c1..0e3240f2 100644
--- a/app-import/src/main/java/eu/etaxonomy/cdm/app/wp6/palmae/UseSummaryActivator.java
+++ b/app-import/src/main/java/eu/etaxonomy/cdm/app/wp6/palmae/UseSummaryActivator.java
@@ -6,7 +6,6 @@
  * The contents of this file are subject to the Mozilla Public License Version 1.1
  * See LICENSE.TXT at the top of this package for the full license terms.
  */
-
 package eu.etaxonomy.cdm.app.wp6.palmae;
 
 import java.io.File;
@@ -26,7 +25,6 @@ import eu.etaxonomy.cdm.model.name.NomenclaturalCode;
  *
  * @author a.mueller
  * @since 18.07.2011
- *
  */
 public class UseSummaryActivator {
 	private static final Logger logger = Logger.getLogger(UseSummaryActivator.class);
@@ -59,6 +57,5 @@ public class UseSummaryActivator {
 //		} catch (URISyntaxException e) {
 //			e.printStackTrace();
 //		}
-
     }
-}
+}
\ No newline at end of file
diff --git a/app-import/src/main/java/eu/etaxonomy/cdm/io/PalmaeImageImport.java b/app-import/src/main/java/eu/etaxonomy/cdm/io/PalmaeImageImport.java
index d04dd43f..5b264b36 100644
--- a/app-import/src/main/java/eu/etaxonomy/cdm/io/PalmaeImageImport.java
+++ b/app-import/src/main/java/eu/etaxonomy/cdm/io/PalmaeImageImport.java
@@ -165,8 +165,6 @@ public class PalmaeImageImport extends AbstractImageImporter {
 		return result;
 	}
 
-
-
 	@Override
     protected void invokeImageImport (ImageImportState state){
 
@@ -324,7 +322,6 @@ public class PalmaeImageImport extends AbstractImageImporter {
 		if (artist.contains(",")){
 			String [] artistSplits = artist.split(",");
 			artist = artistSplits[0];
-
 		}
 
 		try{
@@ -356,5 +353,4 @@ public class PalmaeImageImport extends AbstractImageImporter {
 	protected void doCount(int count, int modCount, String pluralString){
 		if ((count % modCount ) == 0 && count!= 0 ){ logger.info(pluralString + " handled: " + (count));}
 	}
-
 }
diff --git a/app-import/src/main/java/eu/etaxonomy/cdm/io/bogota/BogotaChecklistImportConfigurator.java b/app-import/src/main/java/eu/etaxonomy/cdm/io/bogota/BogotaChecklistImportConfigurator.java
index 1cff480a..9b7411b4 100644
--- a/app-import/src/main/java/eu/etaxonomy/cdm/io/bogota/BogotaChecklistImportConfigurator.java
+++ b/app-import/src/main/java/eu/etaxonomy/cdm/io/bogota/BogotaChecklistImportConfigurator.java
@@ -1,4 +1,3 @@
-// $Id$
 /**
 * Copyright (C) 2017 EDIT
 * European Distributed Institute of Taxonomy
@@ -20,9 +19,9 @@ import eu.etaxonomy.cdm.model.reference.Reference;
 /**
  * @author a.mueller
  * @since 21.04.2017
- *
  */
 public class BogotaChecklistImportConfigurator extends ExcelImportConfiguratorBase{
+
     private static final long serialVersionUID = 5988430626932820343L;
 
     private Reference secReference;
diff --git a/app-import/src/main/java/eu/etaxonomy/cdm/io/bogota/BogotaSpecimenImportConfigurator.java b/app-import/src/main/java/eu/etaxonomy/cdm/io/bogota/BogotaSpecimenImportConfigurator.java
index f1fe4ab9..8a16ab89 100644
--- a/app-import/src/main/java/eu/etaxonomy/cdm/io/bogota/BogotaSpecimenImportConfigurator.java
+++ b/app-import/src/main/java/eu/etaxonomy/cdm/io/bogota/BogotaSpecimenImportConfigurator.java
@@ -1,4 +1,3 @@
-// $Id$
 /**
 * Copyright (C) 2017 EDIT
 * European Distributed Institute of Taxonomy
@@ -19,7 +18,6 @@ import eu.etaxonomy.cdm.model.reference.Reference;
 /**
  * @author a.mueller
  * @since 21.04.2017
- *
  */
 public class BogotaSpecimenImportConfigurator extends ExcelImportConfiguratorBase{
 
@@ -31,34 +29,19 @@ public class BogotaSpecimenImportConfigurator extends ExcelImportConfiguratorBas
     private Reference secReference;
     private boolean onlyNonCdmTaxa;
 
-    /**
-     * @param source
-     * @param cdmDestination
-     * @return
-     */
     public static BogotaSpecimenImportConfigurator NewInstance(URI source, ICdmDataSource destination) {
         return new BogotaSpecimenImportConfigurator(source, destination);
     }
 
-    /**
-     * @param uri
-     * @param destination
-     */
     private BogotaSpecimenImportConfigurator(URI uri, ICdmDataSource destination) {
         super(uri, destination);
     }
 
-    /**
-     * {@inheritDoc}
-     */
     @Override
     public ImportStateBase getNewState() {
         return new SimpleExcelSpecimenImportState<>(this);
     }
 
-    /**
-     * {@inheritDoc}
-     */
     @Override
     protected void makeIoClassList() {
         ioClassList = new Class[]{
@@ -96,5 +79,4 @@ public class BogotaSpecimenImportConfigurator extends ExcelImportConfiguratorBas
     public void setOnlyNonCdmTaxa(boolean onlyNonCdmTaxa) {
         this.onlyNonCdmTaxa = onlyNonCdmTaxa;
     }
-
-}
+}
\ No newline at end of file
diff --git a/cdm-eflora/src/main/java/eu/etaxonomy/cdm/app/eflora/CentralAfricaEricaceaeActivator.java b/cdm-eflora/src/main/java/eu/etaxonomy/cdm/app/eflora/CentralAfricaEricaceaeActivator.java
index f6f00df8..92d579d5 100644
--- a/cdm-eflora/src/main/java/eu/etaxonomy/cdm/app/eflora/CentralAfricaEricaceaeActivator.java
+++ b/cdm-eflora/src/main/java/eu/etaxonomy/cdm/app/eflora/CentralAfricaEricaceaeActivator.java
@@ -48,7 +48,6 @@ import eu.etaxonomy.cdm.model.term.TermType;
 /**
  * @author a.mueller
  * @since 20.06.2008
- * @version 1.0
  */
 public class CentralAfricaEricaceaeActivator {
 	private static final Logger logger = Logger.getLogger(CentralAfricaEricaceaeActivator.class);
diff --git a/cdm-eflora/src/main/java/eu/etaxonomy/cdm/app/eflora/CentralAfricaFernsFdacImportActivator.java b/cdm-eflora/src/main/java/eu/etaxonomy/cdm/app/eflora/CentralAfricaFernsFdacImportActivator.java
index da56d84b..06ac2916 100644
--- a/cdm-eflora/src/main/java/eu/etaxonomy/cdm/app/eflora/CentralAfricaFernsFdacImportActivator.java
+++ b/cdm-eflora/src/main/java/eu/etaxonomy/cdm/app/eflora/CentralAfricaFernsFdacImportActivator.java
@@ -6,7 +6,6 @@
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * See LICENSE.TXT at the top of this package for the full license terms.
 */
-
 package eu.etaxonomy.cdm.app.eflora;
 
 import java.net.URI;
@@ -19,8 +18,8 @@ import eu.etaxonomy.cdm.io.common.CdmDefaultImport;
 import eu.etaxonomy.cdm.io.common.IImportConfigurator.CHECK;
 import eu.etaxonomy.cdm.io.common.events.LoggingIoObserver;
 import eu.etaxonomy.cdm.io.dwca.in.DwcaDataImportConfiguratorBase.DatasetUse;
-import eu.etaxonomy.cdm.io.stream.mapping.IImportMapping.MappingType;
 import eu.etaxonomy.cdm.io.dwca.in.DwcaImportConfigurator;
+import eu.etaxonomy.cdm.io.stream.mapping.IImportMapping.MappingType;
 import eu.etaxonomy.cdm.model.name.NomenclaturalCode;
 import eu.etaxonomy.cdm.model.reference.Reference;
 import eu.etaxonomy.cdm.model.reference.ReferenceFactory;
@@ -28,9 +27,9 @@ import eu.etaxonomy.cdm.model.reference.ReferenceFactory;
 /**
  * @author a.mueller
  * @since 03.04.2012
- * @version 1.0
  */
 public class CentralAfricaFernsFdacImportActivator {
+
 	@SuppressWarnings("unused")
 	private static final Logger logger = Logger.getLogger(CentralAfricaFernsFdacImportActivator.class);
 
@@ -60,12 +59,9 @@ public class CentralAfricaFernsFdacImportActivator {
 	//validate
 	static boolean validateRankConsistency = true;
 
-
 	//taxa
 	static final boolean doTaxa = true;
 
-
-
 	static final MappingType mappingType = MappingType.InMemoryMapping;
 
 	private void doImport(ICdmDataSource cdmDestination){
@@ -81,8 +77,7 @@ public class CentralAfricaFernsFdacImportActivator {
 		config.setSourceReferenceTitle(sourceReferenceTitle);
 		config.setUseSourceReferenceAsSec(useSourceReferenceAsSec);
 
-		CdmDefaultImport myImport = new CdmDefaultImport();
-
+		CdmDefaultImport<DwcaImportConfigurator> myImport = new CdmDefaultImport<>();
 
 		//...
 		if (true){
@@ -91,30 +86,22 @@ public class CentralAfricaFernsFdacImportActivator {
 			myImport.invoke(config);
 			System.out.println("End import from ("+ source.toString() + ")...");
 		}
-
-
 	}
 
 	private Reference getSourceReference(String string) {
 		Reference result = ReferenceFactory.newGeneric();
-		result.setTitleCache(string);
+		result.setTitleCache(string, true);
 		return result;
 	}
 
-
 	//Scratchpads test
 	public static URI dwca_ferns() {
 		URI sourceUrl = URI.create("file:////PESIIMPORT3/fdac/dwca/ferns.zip");
 		return sourceUrl;
 	}
 
-
-	/**
-	 * @param args
-	 */
 	public static void main(String[] args) {
 		CentralAfricaFernsFdacImportActivator me = new CentralAfricaFernsFdacImportActivator();
 		me.doImport(cdmDestination);
 	}
-
-}
+}
\ No newline at end of file
diff --git a/cdm-eflora/src/main/java/eu/etaxonomy/cdm/app/eflora/EfloraActivatorBase.java b/cdm-eflora/src/main/java/eu/etaxonomy/cdm/app/eflora/EfloraActivatorBase.java
index 8bc05a80..35decc0b 100644
--- a/cdm-eflora/src/main/java/eu/etaxonomy/cdm/app/eflora/EfloraActivatorBase.java
+++ b/cdm-eflora/src/main/java/eu/etaxonomy/cdm/app/eflora/EfloraActivatorBase.java
@@ -1,6 +1,11 @@
 /**
- *
- */
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/
 package eu.etaxonomy.cdm.app.eflora;
 
 import java.net.URI;
@@ -31,7 +36,6 @@ import eu.etaxonomy.cdm.model.term.TermTree;
 
 /**
  * @author a.mueller
- *
  */
 public class EfloraActivatorBase {
 	private static final Logger logger = Logger.getLogger(EfloraActivatorBase.class);
@@ -39,7 +43,7 @@ public class EfloraActivatorBase {
 	protected MarkupImportConfigurator config;
 	protected CdmDefaultImport<MarkupImportConfigurator> myImport;
 	protected IIoObserver observer = new LoggingIoObserver();
-	protected Set<IIoObserver> observerList = new HashSet<IIoObserver>();
+	protected Set<IIoObserver> observerList = new HashSet<>();
 
 	protected MarkupImportConfigurator doImport(URI source, ICdmDataSource cdmDestination, CHECK check, boolean h2ForCheck){
 		observerList.add(observer);
@@ -94,7 +98,7 @@ public class EfloraActivatorBase {
 		}
 
 		//save tree
-		app.getFeatureTreeService().saveOrUpdate(tree);
+		app.getTermTreeService().saveOrUpdate(tree);
 
 		System.out.println("End creating automated Feature Tree");
 
@@ -102,22 +106,17 @@ public class EfloraActivatorBase {
 	}
 
 	private Map<UUID,Feature> makeUuidMap(Collection<UUID> uuids, ITermService termService){
-		HashSet<UUID> uuidSet = new HashSet<UUID>();
+		HashSet<UUID> uuidSet = new HashSet<>();
 		uuidSet.addAll(uuids);
 		List<Feature> featureSet = (List)termService.find(uuidSet);
 
-		Map<UUID,Feature> result = new HashMap<UUID, Feature>();
+		Map<UUID,Feature> result = new HashMap<>();
 		for (Feature feature : featureSet){
 			result.put(feature.getUuid(), feature);
 		}
 		return result;
 	}
 
-
-	/**
-	 * @param markupConfig
-	 * @param myImport
-	 */
 	protected void executeVolume(URI source, boolean include) {
 		if (include){
 			System.out.println("\nStart import from ("+ source.toString() + ") ...");
@@ -126,4 +125,4 @@ public class EfloraActivatorBase {
 			System.out.println("End import from ("+ source.toString() + ")...");
 		}
 	}
-}
+}
\ No newline at end of file
diff --git a/cdm-eflora/src/main/java/eu/etaxonomy/cdm/app/eflora/EfloraSources.java b/cdm-eflora/src/main/java/eu/etaxonomy/cdm/app/eflora/EfloraSources.java
index 29538cf0..95294218 100644
--- a/cdm-eflora/src/main/java/eu/etaxonomy/cdm/app/eflora/EfloraSources.java
+++ b/cdm-eflora/src/main/java/eu/etaxonomy/cdm/app/eflora/EfloraSources.java
@@ -15,7 +15,6 @@ import org.apache.log4j.Logger;
 /**
  * @author a.mueller
  * @since 09.06.2010
- *
  */
 public class EfloraSources {
 	@SuppressWarnings("unused")
diff --git a/cdm-eflora/src/main/java/eu/etaxonomy/cdm/app/eflora/FloraGuianasActivator.java b/cdm-eflora/src/main/java/eu/etaxonomy/cdm/app/eflora/FloraGuianasActivator.java
index eef55461..6a5a5d9b 100644
--- a/cdm-eflora/src/main/java/eu/etaxonomy/cdm/app/eflora/FloraGuianasActivator.java
+++ b/cdm-eflora/src/main/java/eu/etaxonomy/cdm/app/eflora/FloraGuianasActivator.java
@@ -6,7 +6,6 @@
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * See LICENSE.TXT at the top of this package for the full license terms.
 */
-
 package eu.etaxonomy.cdm.app.eflora;
 
 import java.net.URI;
@@ -64,7 +63,6 @@ public class FloraGuianasActivator extends EfloraActivatorBase {
 	static final URI fotg29 = EfloraSources.fotg_29();
 	static final URI fotg30 = EfloraSources.fotg_30();
 
-
 	private boolean inverseInclude = false;
 
 	private boolean includeFotg1 = false;
@@ -116,8 +114,6 @@ public class FloraGuianasActivator extends EfloraActivatorBase {
 
 	static final boolean reuseState = true;
 
-
-
 	private boolean replaceStandardKeyTitles = true;
 
 	private boolean useFotGCollectionTypeOnly = true;
@@ -427,13 +423,8 @@ public class FloraGuianasActivator extends EfloraActivatorBase {
 		return lastChild;
 	}
 
-
-
-	/**
-	 * @param args
-	 */
 	public static void main(String[] args) {
 		FloraGuianasActivator me = new FloraGuianasActivator();
 		me.doImport(cdmDestination);
 	}
-}
+}
\ No newline at end of file
diff --git a/cdm-eflora/src/main/java/eu/etaxonomy/cdm/app/eflora/FloraMalesianaActivator.java b/cdm-eflora/src/main/java/eu/etaxonomy/cdm/app/eflora/FloraMalesianaActivator.java
index 26cdb1b8..f5827a8b 100644
--- a/cdm-eflora/src/main/java/eu/etaxonomy/cdm/app/eflora/FloraMalesianaActivator.java
+++ b/cdm-eflora/src/main/java/eu/etaxonomy/cdm/app/eflora/FloraMalesianaActivator.java
@@ -6,7 +6,6 @@
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * See LICENSE.TXT at the top of this package for the full license terms.
 */
-
 package eu.etaxonomy.cdm.app.eflora;
 
 import java.net.URI;
@@ -46,8 +45,6 @@ public class FloraMalesianaActivator extends EfloraActivatorBase {
 	//database validation status (create, update, validate ...)
 	static DbSchemaValidation hbm2dll = DbSchemaValidation.CREATE;
 
-
-
 //	static final ICdmDataSource cdmDestination = CdmDestinations.cdm_flora_malesiana_preview();
 //	static final ICdmDataSource cdmDestination = CdmDestinations.cdm_flora_malesiana_production();
 	static final ICdmDataSource cdmDestination = CdmDestinations.localH2();
@@ -437,13 +434,11 @@ public class FloraMalesianaActivator extends EfloraActivatorBase {
 		"Chromosomes",
 	};
 
-
 	private static String [] habitatEcologyList = new String[]{
 		"Habitat",
 		"Habitat & Ecology"
 	};
 
-
 	private static String [] generellDescriptionsUpToAnatomyList = new String[]{
 		"Fossils",
 		"Morphology and anatomy",
@@ -451,7 +446,6 @@ public class FloraMalesianaActivator extends EfloraActivatorBase {
 		"Vegetative morphology and anatomy",
 	};
 
-
 	private static String [] anatomySubfeatureList = new String[]{
 		"Leaf anatomy",
 		"Wood anatomy"
@@ -471,7 +465,6 @@ public class FloraMalesianaActivator extends EfloraActivatorBase {
 		"Phytochemistry and Chemotaxonomy",
 	};
 
-
 	private static String [] phytoChemoSubFeaturesList = new String[]{
 		"Alkaloids",
 		"Iridoid glucosides",
@@ -481,7 +474,6 @@ public class FloraMalesianaActivator extends EfloraActivatorBase {
 		"Chemotaxonomy",
 	};
 
-
 	private static String [] generellDescriptionsFromPhytoChemoList = new String[]{
 		"Phytochemistry",
 		"Taxonomy",
@@ -490,7 +482,6 @@ public class FloraMalesianaActivator extends EfloraActivatorBase {
 		"Notes"
 	};
 
-
 	private static String [] descriptionFeatureList = new String[]{
 		"lifeform",
 		"Bark",
@@ -577,9 +568,6 @@ public class FloraMalesianaActivator extends EfloraActivatorBase {
 		"figure",
 		"fig",
 		"figs",
-
-
-
 	};
 
 	public TermNode<Feature> addFeatureNodesByStringList(String[] featureStringList,
@@ -601,15 +589,9 @@ public class FloraMalesianaActivator extends EfloraActivatorBase {
 		return lastChild;
 	}
 
-
-
-	/**
-	 * @param args
-	 */
 	public static void main(String[] args) {
 		FloraMalesianaActivator me = new FloraMalesianaActivator();
 		me.doImport(cdmDestination);
 		System.exit(0);
 	}
-
-}
+}
\ No newline at end of file
diff --git a/cdm-eflora/src/main/java/eu/etaxonomy/cdm/app/eflora/FloraMalesianaActivator_OLD.java b/cdm-eflora/src/main/java/eu/etaxonomy/cdm/app/eflora/FloraMalesianaActivator_OLD.java
index 8ca0fb2c..f0377faf 100644
--- a/cdm-eflora/src/main/java/eu/etaxonomy/cdm/app/eflora/FloraMalesianaActivator_OLD.java
+++ b/cdm-eflora/src/main/java/eu/etaxonomy/cdm/app/eflora/FloraMalesianaActivator_OLD.java
@@ -6,7 +6,6 @@
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * See LICENSE.TXT at the top of this package for the full license terms.
 */
-
 package eu.etaxonomy.cdm.app.eflora;
 
 import java.net.URI;
@@ -35,7 +34,6 @@ import eu.etaxonomy.cdm.model.term.TermTree;
 /**
  * @author a.mueller
  * @since 20.06.2008
- * @version 1.0
  */
 public class FloraMalesianaActivator_OLD {
 	private static final Logger logger = Logger.getLogger(FloraMalesianaActivator_OLD.class);
@@ -47,14 +45,12 @@ public class FloraMalesianaActivator_OLD {
 	static final URI fmSource13_1 = EfloraSources.fm_13_1_local();
 	static final URI fmSource13_2 = EfloraSources.fm_13_2_local();
 
-
 //	static final ICdmDataSource cdmDestination = CdmDestinations.cdm_test_andreasM3();
 //	static final ICdmDataSource cdmDestination = CdmDestinations.cdm_flora_malesiana_preview();
 //	static final ICdmDataSource cdmDestination = CdmDestinations.cdm_flora_malesiana_production();
 	static final ICdmDataSource cdmDestination = CdmDestinations.localH2();
 //	static final ICdmDataSource cdmDestination = CdmDestinations.cdm_test_local_mysql();
 
-
 	//feature tree uuid
 	public static final UUID featureTreeUuid = UUID.fromString("168df0c6-6429-484c-b26f-ded1f7e44bd9");
 
@@ -287,35 +283,25 @@ public class FloraMalesianaActivator_OLD {
 		"figure",
 		"fig",
 		"figs",
-
-
-
-
 	};
 
 	public void addFeatureNodesByStringList(String[] featureStringList, TermNode<Feature> root, IInputTransformer transformer, ITermService termService){
 		try {
 			for (String featureString : featureStringList){
-			UUID featureUuid;
-			featureUuid = transformer.getFeatureUuid(featureString);
-			Feature feature = (Feature)termService.find(featureUuid);
-			if (feature != null){
-				root.addChild(feature);
-			}
-		}
+    			UUID featureUuid;
+    			featureUuid = transformer.getFeatureUuid(featureString);
+    			Feature feature = (Feature)termService.find(featureUuid);
+    			if (feature != null){
+    				root.addChild(feature);
+    			}
+    		}
 		} catch (UndefinedTransformerMethodException e) {
 			logger.error("getFeatureUuid is not implemented in transformer. Features could not be added");
 		}
 	}
 
-
-
-	/**
-	 * @param args
-	 */
 	public static void main(String[] args) {
 		FloraMalesianaActivator_OLD me = new FloraMalesianaActivator_OLD();
 		me.doImport(cdmDestination);
 	}
-
-}
+}
\ No newline at end of file
diff --git a/cdm-eflora/src/main/java/eu/etaxonomy/cdm/app/eflora/FloreGabonActivator.java b/cdm-eflora/src/main/java/eu/etaxonomy/cdm/app/eflora/FloreGabonActivator.java
index bd3de80f..46c02ce3 100644
--- a/cdm-eflora/src/main/java/eu/etaxonomy/cdm/app/eflora/FloreGabonActivator.java
+++ b/cdm-eflora/src/main/java/eu/etaxonomy/cdm/app/eflora/FloreGabonActivator.java
@@ -6,7 +6,6 @@
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * See LICENSE.TXT at the top of this package for the full license terms.
 */
-
 package eu.etaxonomy.cdm.app.eflora;
 
 import java.net.URI;
@@ -89,15 +88,11 @@ public class FloreGabonActivator extends EfloraActivatorBase {
 	static final URI fdg44 = EfloraSources.fdg_44();
 	static final URI fdg45 = EfloraSources.fdg_45();
 
-
-
-
 //	static final ICdmDataSource cdmDestination = CdmDestinations.cdm_flore_gabon_preview();
 //	static final ICdmDataSource cdmDestination = CdmDestinations.cdm_flore_gabon_production();
 	static final ICdmDataSource cdmDestination = CdmDestinations.localH2();
 //	static final ICdmDataSource cdmDestination = CdmDestinations.cdm_test_local_mysql();
 
-
 	//feature tree uuid
 	public static final UUID featureTreeUuid = UUID.fromString("ee688973-2595-4d4d-b11e-6df71e96a5c2");
 	private static final String featureTreeTitle = "Flore Gabon Presentation Feature Tree";
@@ -112,7 +107,6 @@ public class FloreGabonActivator extends EfloraActivatorBase {
 
 	static boolean doPrintKeys = false;
 
-
 	private boolean replaceStandardKeyTitles = true;
 
 	//taxa
@@ -120,7 +114,6 @@ public class FloreGabonActivator extends EfloraActivatorBase {
 
 	static final boolean reuseState = true;
 
-
 	//if true, use inverse include information
 	private boolean inverseInclude = true;
 
@@ -540,9 +533,6 @@ public class FloreGabonActivator extends EfloraActivatorBase {
 		"figure",
 		"fig",
 		"figs",
-
-
-
 	};
 
 	public TermNode<Feature> addFeatureNodesByStringList(String[] featureStringList,
@@ -565,13 +555,8 @@ public class FloreGabonActivator extends EfloraActivatorBase {
 		return lastChild;
 	}
 
-
-
-	/**
-	 * @param args
-	 */
 	public static void main(String[] args) {
 		FloreGabonActivator me = new FloreGabonActivator();
 		me.doImport(cdmDestination);
 	}
-}
+}
\ No newline at end of file
diff --git a/cdm-eflora/src/main/java/eu/etaxonomy/cdm/app/eflora/NepenthaceIpniActivator.java b/cdm-eflora/src/main/java/eu/etaxonomy/cdm/app/eflora/NepenthaceIpniActivator.java
index b6916a54..0551f3a1 100644
--- a/cdm-eflora/src/main/java/eu/etaxonomy/cdm/app/eflora/NepenthaceIpniActivator.java
+++ b/cdm-eflora/src/main/java/eu/etaxonomy/cdm/app/eflora/NepenthaceIpniActivator.java
@@ -33,7 +33,6 @@ import eu.etaxonomy.cdm.model.taxon.TaxonBase;
 /**
  * @author a.mueller
  * @since 27.02.2017
- *
  */
 public class NepenthaceIpniActivator {
 
@@ -91,8 +90,6 @@ public class NepenthaceIpniActivator {
 
       app.commitTransaction(txStatus);
 
-
-
 ////      CSVReader csvReader = new CSVReader(reader);
 //
 //      List<String[]> allLines = csvReader.readAll();
@@ -102,47 +99,33 @@ public class NepenthaceIpniActivator {
 //      }
    }
 
-/**
- * @param app
- * @param ipniSec
- * @param classification
- * @param ipniService
- * @param rank
- * @param namesConfig
- */
-private void doSingleImport(CdmApplicationController app, Reference ipniSec, Classification classification,
+    private void doSingleImport(CdmApplicationController app, Reference ipniSec, Classification classification,
         IpniServiceNamesConfigurator namesConfig, ImportDeduplicationHelper<?> deduplicationHelper) {
 
-    IpniService ipniService = new IpniService();//(IpniService)app.getBean("ipniService");
+        IpniService ipniService = new IpniService();//(IpniService)app.getBean("ipniService");
 
-    Rank rank = null;
-      List<IBotanicalName> names = ipniService.getNamesAdvanced(null, "Nepenthes", null, null, null, null,
+        Rank rank = null;
+        List<IBotanicalName> names = ipniService.getNamesAdvanced(null, "Nepenthes", null, null, null, null,
               null, null, rank, namesConfig, app);
 
-      System.out.println(names.size());
+        System.out.println(names.size());
 
-      List<TaxonBase> taxaToSave  = new ArrayList<>();
-      for (IBotanicalName name : names){
+        List<TaxonBase> taxaToSave  = new ArrayList<>();
+        for (IBotanicalName name : names){
 //          System.out.println(name.getTitleCache());
-          deduplicationHelper.replaceAuthorNamesAndNomRef(null, name);
-          Taxon taxon = Taxon.NewInstance(name, ipniSec);
-          classification.addChildTaxon(taxon, null, null);
+            deduplicationHelper.replaceAuthorNamesAndNomRef(null, name);
+            Taxon taxon = Taxon.NewInstance(name, ipniSec);
+            classification.addChildTaxon(taxon, null, null);
 //          app.getTaxonService().saveOrUpdate(taxon);
-          taxaToSave.add(taxon);
-      }
-      app.getTaxonService().saveOrUpdate(taxaToSave);
-      app.getClassificationService().saveOrUpdate(classification);
-}
-
-
-  /**
-   * @param args
-   */
-  public static void main(String[] args) {
-      NepenthaceIpniActivator me = new NepenthaceIpniActivator();
-      me.doImport(cdmDestination);
-      System.exit(0);
-  }
-
-
-}
+            taxaToSave.add(taxon);
+        }
+        app.getTaxonService().saveOrUpdate(taxaToSave);
+        app.getClassificationService().saveOrUpdate(classification);
+    }
+
+    public static void main(String[] args) {
+        NepenthaceIpniActivator me = new NepenthaceIpniActivator();
+        me.doImport(cdmDestination);
+        System.exit(0);
+    }
+}
\ No newline at end of file
diff --git a/cdm-eflora/src/main/java/eu/etaxonomy/cdm/app/eflora/NepenthesActivator.java b/cdm-eflora/src/main/java/eu/etaxonomy/cdm/app/eflora/NepenthesActivator.java
index 21c6c4ad..718921a4 100644
--- a/cdm-eflora/src/main/java/eu/etaxonomy/cdm/app/eflora/NepenthesActivator.java
+++ b/cdm-eflora/src/main/java/eu/etaxonomy/cdm/app/eflora/NepenthesActivator.java
@@ -6,7 +6,6 @@
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * See LICENSE.TXT at the top of this package for the full license terms.
 */
-
 package eu.etaxonomy.cdm.app.eflora;
 
 import java.net.URI;
diff --git a/cdm-eflora/src/main/java/eu/etaxonomy/cdm/app/testUpdate/EricaceaeTestUpdateActivator.java b/cdm-eflora/src/main/java/eu/etaxonomy/cdm/app/testUpdate/EricaceaeTestUpdateActivator.java
index 4857ef0b..5120717a 100644
--- a/cdm-eflora/src/main/java/eu/etaxonomy/cdm/app/testUpdate/EricaceaeTestUpdateActivator.java
+++ b/cdm-eflora/src/main/java/eu/etaxonomy/cdm/app/testUpdate/EricaceaeTestUpdateActivator.java
@@ -6,7 +6,6 @@
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * See LICENSE.TXT at the top of this package for the full license terms.
 */
-
 package eu.etaxonomy.cdm.app.testUpdate;
 
 import java.net.URI;
@@ -37,9 +36,9 @@ import eu.etaxonomy.cdm.model.term.TermTree;
 /**
  * @author a.mueller
  * @since 20.06.2008
- * @version 1.0
  */
 public class EricaceaeTestUpdateActivator {
+
 	@SuppressWarnings("unused")
 	private static final Logger logger = Logger.getLogger(EricaceaeTestUpdateActivator.class);
 
@@ -89,12 +88,10 @@ public class EricaceaeTestUpdateActivator {
 		config.setDoPrintKeys(doPrintKeys);
 		config.setDbSchemaValidation(hbm2dll);
 
-
 		CdmDefaultImport<EfloraImportConfigurator> myImport = new CdmDefaultImport<EfloraImportConfigurator>();
 
 		ICdmRepository app = myImport.getCdmAppController();
 
-
 		//
 		if (includeEricaceae){
 			System.out.println("Start import from ("+ source.toString() + ") ...");
@@ -113,22 +110,15 @@ public class EricaceaeTestUpdateActivator {
 			}
 		}
 		app.commitTransaction(tx);
-
-
-
 	}
 
-	/**
-	 * @param app
-	 * @param tree
-	 */
 	private void moveChild(ICdmRepository app, TermTree<Feature> tree) {
 		TermNode<Feature> root = tree.getRoot();
 		int count = root.getChildCount();
 		TermNode<Feature> lastChild = root.getChildAt(count - 1);
 		root.removeChild(lastChild);
 		root.addChild(lastChild, 1);
-		app.getFeatureTreeService().saveOrUpdate(tree);
+		app.getTermTreeService().saveOrUpdate(tree);
 	}
 
 	private Reference getSourceReference(String string) {
@@ -137,14 +127,8 @@ public class EricaceaeTestUpdateActivator {
 		return result;
 	}
 
-
-
-	/**
-	 * @param args
-	 */
 	public static void main(String[] args) {
 		EricaceaeTestUpdateActivator me = new EricaceaeTestUpdateActivator();
 		me.doImport(cdmDestination);
 	}
-
-}
+}
\ No newline at end of file
diff --git a/cdm-eflora/src/main/java/eu/etaxonomy/cdm/io/eflora/EfloraImportConfigurator.java b/cdm-eflora/src/main/java/eu/etaxonomy/cdm/io/eflora/EfloraImportConfigurator.java
index 34ae012c..c19ae0b3 100644
--- a/cdm-eflora/src/main/java/eu/etaxonomy/cdm/io/eflora/EfloraImportConfigurator.java
+++ b/cdm-eflora/src/main/java/eu/etaxonomy/cdm/io/eflora/EfloraImportConfigurator.java
@@ -5,7 +5,7 @@
 *
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * See LICENSE.TXT at the top of this package for the full license terms.
-*/ 
+*/
 
 package eu.etaxonomy.cdm.io.eflora;
 
@@ -24,88 +24,66 @@ import eu.etaxonomy.cdm.database.ICdmDataSource;
 import eu.etaxonomy.cdm.io.common.IImportConfigurator;
 import eu.etaxonomy.cdm.io.common.ImportConfiguratorBase;
 import eu.etaxonomy.cdm.io.common.mapping.IInputTransformer;
-import eu.etaxonomy.cdm.io.eflora.EfloraImportState;
 import eu.etaxonomy.cdm.model.reference.Reference;
 import eu.etaxonomy.cdm.model.reference.ReferenceFactory;
 
 @Component
 public class EfloraImportConfigurator extends ImportConfiguratorBase<EfloraImportState, URI> implements IImportConfigurator {
-	private static final Logger logger = Logger.getLogger(EfloraImportConfigurator.class);
-	
+
+    private static final long serialVersionUID = -2922682361995025203L;
+    private static final Logger logger = Logger.getLogger(EfloraImportConfigurator.class);
+
 	public static EfloraImportConfigurator NewInstance(URI uri, ICdmDataSource destination){
 		return new EfloraImportConfigurator(uri, destination);
 	}
-	
+
 	private boolean doTaxa = true;
 
-	
 	//TODO
 	private static IInputTransformer defaultTransformer = null;
 	private String classificationTitle = "E-Flora Import";
 	private String sourceReferenceTitle = "E-Flora";
 	private UUID defaultLanguageUuid;
-	
+
 	//TODO move to state, but a state gets lost after each import.invoke, so I can't move this information
 	//from the one import to another import in case I run 2 imports in line
 	private UUID lastTaxonUuid;
-	
-	//if true, the keys will be printed after they have been created	
+
+	//if true, the keys will be printed after they have been created
 	private boolean doPrintKeys = false;
 
-	
-	/* (non-Javadoc)
-	 * @see eu.etaxonomy.cdm.io.common.ImportConfiguratorBase#makeIoClassList()
-	 */
-	protected void makeIoClassList(){
+	@Override
+    protected void makeIoClassList(){
 		ioClassList = new Class[]{
 			EfloraTaxonImport.class
 		};
-	};
-	
+	}
+
 	protected EfloraImportConfigurator() {
 		super(defaultTransformer);
 	}
-	
-	
-	/**
-	 * 
-	 */
+
 	protected EfloraImportConfigurator(IInputTransformer transformer) {
 		super(transformer);
 	}
-	
 
-	/**
-	 * @param url
-	 * @param destination
-	 */
 	protected EfloraImportConfigurator(URI uri, ICdmDataSource destination) {
 		super(defaultTransformer);
 		setSource(uri);
 		setDestination(destination);
 	}
-	
-	/**
-	 * @param url
-	 * @param destination
-	 */
+
 	protected EfloraImportConfigurator(URI uri, ICdmDataSource destination, IInputTransformer transformer) {
 		super(transformer);
 		setSource(uri);
 		setDestination(destination);
 	}
 
-
-	/* (non-Javadoc)
-	 * @see eu.etaxonomy.cdm.io.common.IImportConfigurator#getNewState()
-	 */
-	public EfloraImportState getNewState() {
+	@Override
+    public EfloraImportState getNewState() {
 		return new EfloraImportState(this);
 	}
-	
-	/**
-	 * @return
-	 */
+
 	public Element getSourceRoot(){
 		try {
 			URL url = getSource().toURL();
@@ -122,11 +100,7 @@ public class EfloraImportConfigurator extends ImportConfiguratorBase<EfloraImpor
 		}
 		return null;
 	}
-	
 
-	/* (non-Javadoc)
-	 * @see eu.etaxonomy.cdm.io.common.ImportConfiguratorBase#getSourceReference()
-	 */
 	@Override
 	public Reference getSourceReference() {
 		//TODO
@@ -138,11 +112,8 @@ public class EfloraImportConfigurator extends ImportConfiguratorBase<EfloraImpor
 		return sourceReference;
 	}
 
-
-	/* (non-Javadoc)
-	 * @see eu.etaxonomy.cdm.io.common.IImportConfigurator#getSourceNameString()
-	 */
-	public String getSourceNameString() {
+	@Override
+    public String getSourceNameString() {
 		if (this.getSource() == null){
 			return null;
 		}else{
@@ -153,17 +124,13 @@ public class EfloraImportConfigurator extends ImportConfiguratorBase<EfloraImpor
 	public void setClassificationTitle(String classificationTitle) {
 		this.classificationTitle = classificationTitle;
 	}
-
 	public String getClassificationTitle() {
 		return classificationTitle;
 	}
-	
-	
 
 	public UUID getLastTaxonUuid() {
 		return lastTaxonUuid;
 	}
-	
 	public void setLastTaxonUuid(UUID lastTaxonUuid) {
 		this.lastTaxonUuid = lastTaxonUuid;
 	}
@@ -171,7 +138,6 @@ public class EfloraImportConfigurator extends ImportConfiguratorBase<EfloraImpor
 	public void setDoPrintKeys(boolean doPrintKeys) {
 		this.doPrintKeys = doPrintKeys;
 	}
-
 	public boolean isDoPrintKeys() {
 		return doPrintKeys;
 	}
@@ -179,7 +145,6 @@ public class EfloraImportConfigurator extends ImportConfiguratorBase<EfloraImpor
 	public UUID getDefaultLanguageUuid() {
 		return this.defaultLanguageUuid;
 	}
-
 	public void setDefaultLanguageUuid(UUID defaultLanguageUuid) {
 		this.defaultLanguageUuid = defaultLanguageUuid;
 	}
@@ -190,9 +155,4 @@ public class EfloraImportConfigurator extends ImportConfiguratorBase<EfloraImpor
 	public void setDoTaxa(boolean doTaxa) {
 		this.doTaxa = doTaxa;
 	}
-
-
-
-
-	
-}
+}
\ No newline at end of file
diff --git a/cdm-eflora/src/main/java/eu/etaxonomy/cdm/io/eflora/centralAfrica/ericaceae/CentralAfricaEricaceaeImportConfigurator.java b/cdm-eflora/src/main/java/eu/etaxonomy/cdm/io/eflora/centralAfrica/ericaceae/CentralAfricaEricaceaeImportConfigurator.java
index 9bafcdd4..049e1eda 100644
--- a/cdm-eflora/src/main/java/eu/etaxonomy/cdm/io/eflora/centralAfrica/ericaceae/CentralAfricaEricaceaeImportConfigurator.java
+++ b/cdm-eflora/src/main/java/eu/etaxonomy/cdm/io/eflora/centralAfrica/ericaceae/CentralAfricaEricaceaeImportConfigurator.java
@@ -5,7 +5,7 @@
 *
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * See LICENSE.TXT at the top of this package for the full license terms.
-*/ 
+*/
 
 package eu.etaxonomy.cdm.io.eflora.centralAfrica.ericaceae;
 
@@ -20,51 +20,38 @@ import eu.etaxonomy.cdm.io.eflora.EfloraImportConfigurator;
 
 @Component
 public class CentralAfricaEricaceaeImportConfigurator extends EfloraImportConfigurator  {
-	@SuppressWarnings("unused")
+
+    private static final long serialVersionUID = 2277089945601876389L;
+    @SuppressWarnings("unused")
 	private static final Logger logger = Logger.getLogger(CentralAfricaEricaceaeImportConfigurator.class);
-	
+
 	public static CentralAfricaEricaceaeImportConfigurator NewInstance(URI uri, ICdmDataSource destination){
 		return new CentralAfricaEricaceaeImportConfigurator(uri, destination);
 	}
-	
+
 	private static IInputTransformer defaultTransformer = new CentralAfricaEricaceaeTransformer();
 	private String classificationTitle = "Flore d'Afrique Centrale - Ericaceae";
 	private String sourceReferenceTitle = "Flore d'Afrique Centrale - Ericaceae";
-	
-	
-	/* (non-Javadoc)
-	 * @see eu.etaxonomy.cdm.io.common.ImportConfiguratorBase#makeIoClassList()
-	 */
-	protected void makeIoClassList(){
+
+	@Override
+    protected void makeIoClassList(){
 		ioClassList = new Class[]{
 			CentralAfricaEricaceaeTaxonImport.class
 		};
-	};
-	
+	}
 
 	private CentralAfricaEricaceaeImportConfigurator() {
 		super();
 	}
-	
-	/**
-	 * @param url
-	 * @param destination
-	 */
+
 	private CentralAfricaEricaceaeImportConfigurator(URI uri, ICdmDataSource destination) {
 		super(uri, destination, defaultTransformer);
 		this.setClassificationTitle(classificationTitle);
 		this.setSourceReferenceTitle(sourceReferenceTitle);
 	}
-	
-	
 
-	/* (non-Javadoc)
-	 * @see eu.etaxonomy.cdm.io.common.IImportConfigurator#getNewState()
-	 */
-	public CentralAfricaEricaceaeImportState getNewState() {
+	@Override
+    public CentralAfricaEricaceaeImportState getNewState() {
 		return new CentralAfricaEricaceaeImportState(this);
 	}
-
-	
-	
-}
+}
\ No newline at end of file
diff --git a/cdm-eflora/src/main/java/eu/etaxonomy/cdm/io/eflora/floraMalesiana/FloraMalesianaImportConfigurator.java b/cdm-eflora/src/main/java/eu/etaxonomy/cdm/io/eflora/floraMalesiana/FloraMalesianaImportConfigurator.java
index 3adff282..937d1a76 100644
--- a/cdm-eflora/src/main/java/eu/etaxonomy/cdm/io/eflora/floraMalesiana/FloraMalesianaImportConfigurator.java
+++ b/cdm-eflora/src/main/java/eu/etaxonomy/cdm/io/eflora/floraMalesiana/FloraMalesianaImportConfigurator.java
@@ -6,7 +6,6 @@
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * See LICENSE.TXT at the top of this package for the full license terms.
 */
-
 package eu.etaxonomy.cdm.io.eflora.floraMalesiana;
 
 import java.net.URI;
@@ -39,17 +38,12 @@ public class FloraMalesianaImportConfigurator extends EfloraImportConfigurator
 		ioClassList = new Class[]{
 			EfloraTaxonImport.class
 		};
-	};
-
+	}
 
 	private FloraMalesianaImportConfigurator() {
 		super();
 	}
 
-	/**
-	 * @param url
-	 * @param destination
-	 */
 	private FloraMalesianaImportConfigurator(URI uri, ICdmDataSource destination) {
 		super(uri, destination, defaultTransformer);
 		this.setClassificationTitle(classificationTitle);
@@ -60,5 +54,4 @@ public class FloraMalesianaImportConfigurator extends EfloraImportConfigurator
 	public FloraMalesianaImportState getNewState() {
 		return new FloraMalesianaImportState(this);
 	}
-
-}
+}
\ No newline at end of file
